InvalidConfigException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.InvalidConfigException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class InvalidConfigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.appdef.shared.InvalidConfigException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidConfigException

extends ApplicationException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`InvalidConfigException()`
`InvalidConfigException(java.lang.String s)`
`InvalidConfigException(java.lang.String s, java.lang.Throwable t)`
`InvalidConfigException(java.lang.Throwable t)`

Method Summary

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidConfigException

    public InvalidConfigException()

### InvalidConfigException

    public InvalidConfigException(java.lang.String s)

### InvalidConfigException

    public InvalidConfigException(java.lang.Throwable t)

### InvalidConfigException

    public InvalidConfigException(java.lang.String s,
                                  java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.